multi (CSV)

Imports a (potentially large) CSV file with API actions to be executed. The file will be imported asynchronously as a job. Use getMultiResults to get the job status. This method requires your development API clientKey. See CSV uploads for more on using multi to upload user attributes, events, and device attributes.

The file should contain a header row with the API argument names that are found in the API documentation, such as userId, deviceId, and action (if defaultAction is not specified). To indicate nested JSON arguments, use a dot within the column name, such as userAttributes.Gender.

userId,userAttributes.Gender,userAttributes.Age
user1,Male,25
user2,Female,37

The file is broken into separate API requests that contain batches of 50 actions. Each unique user lookup in a batch is a billable API call. See billing and costs for more.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required
Defaults to YOUR_APP_ID

The application ID. To find yours, select your app in the navigation column, and click Manage Apps. Then click Keys & Settings.

string
Defaults to YOUR_DEV_KEY

The Development key for your Leanplum App.

string
enum
required
Defaults to 1.0.6

The version of the Leanplum API to use. The current version is 1.0.6.

Allowed:
boolean
required
Defaults to true

Whether to create an asynchronous job to import the data. This is required to be set to true.

string
required

The name of the Google Cloud Storage bucket that contains the CSV file to be imported.

string
required

The Google Cloud Storage object name of the CSV file. The object must be made public to be read by Leanplum's servers, so the filename should be set to something obscure.

string

The default API action to apply across all rows in the CSV file. For example, if the file contains all user attributes to be imported, defaultAction should be set to setUserAttributes.

Response

Language
Credentials
URL
LoadingLoading…
Response
Choose an example:
application/json